// AMMAR YASİR KORKUSUZ - 040060508 - CRN : 13780

#include <stdio.h>
#include <time.h>
#include <stdlib.h>

int fonk(int number1, int number2){
int k,i;
srand(time(NULL));

for(i=1;i<=100;i++)
{                
printf("%d \t",number1+1+(rand()%(number2-number1)));
//seçilen iki sayı da dahil olmayacak biçimde, aralarındaki sayılardan rasgele sayılar seçiyor

if(i%10==0)          
printf("\n"); //10. terimden sonra alt satıra geçiyor
}
return k;
}

int main() // main fonksiyonuna giriyor
{
    int a, b; // iki integer tanımlıyor
    
    while(1){
        printf("enter N1:");
        scanf("%d", &a);         //verilen ilk integerı N1 e eşitliyor
        printf("enter N2:");     
        scanf("%d", &b);         //verilen ikinci integerı N2 ye eşitliyor
        
        if (a == 0 || b == 0) // N1 veya N2 "0" a eşitse döngüden çıkıyor
        {
           printf("\nN1 and N2 can't be zero, loop terminated");    
           break;
        }  
        else if(a < 0 || a > b )  // N1 negatifse yada N2 den büyükse yeni değerler istiyor
        {
           printf("\nN1 can't be negative or bigger than N2 enter new values \n"); 
           continue;
        }
            
        else  // bu koşullarda değilse random fonksiyonuna giriyor
           fonk(a, b); 
    }
    
    scanf("%d", &a);
    return 0;    
}


